OnePassSignaturePacket
Date: 2016-06-23

org.bouncycastle.bcpg

## Class OnePassSignaturePacket

- java.lang.Object
- - org.bouncycastle.bcpg.Packet
  - - org.bouncycastle.bcpg.ContainedPacket
    - - org.bouncycastle.bcpg.OnePassSignaturePacket

- All Implemented Interfaces:
    PacketTags, org.bouncycastle.util.Encodable

      public class OnePassSignaturePacket
      extends ContainedPacket

  generic signature object

- - ### Field Summary

    - ### Fields inherited from interface org.bouncycastle.bcpg.PacketTags

      `COMPRESSED_DATA, EXPERIMENTAL_1, EXPERIMENTAL_2, EXPERIMENTAL_3, EXPERIMENTAL_4, LITERAL_DATA, MARKER, MOD_DETECTION_CODE, ONE_PASS_SIGNATURE, PUBLIC_KEY, PUBLIC_KEY_ENC_SESSION, PUBLIC_SUBKEY, RESERVED, SECRET_KEY, SECRET_SUBKEY, SIGNATURE, SYM_ENC_INTEGRITY_PRO, SYMMETRIC_KEY_ENC, SYMMETRIC_KEY_ENC_SESSION, TRUST, USER_ATTRIBUTE, USER_ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OnePassSignaturePacket(int sigType, int hashAlgorithm, int keyAlgorithm, long keyID, boolean isNested)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `encode(BCPGOutputStream out)`
    `int` | `getHashAlgorithm()` return the hashAlgorithm tag
    `int` | `getKeyAlgorithm()` return the encryption algorithm tag
    `long` | `getKeyID()`
    `int` | `getSignatureType()` Return the signature type.

    - ### Methods inherited from class org.bouncycastle.bcpg.ContainedPacket

      `getEncoded`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OnePassSignaturePacket

          public OnePassSignaturePacket(int sigType,
                                int hashAlgorithm,
                                int keyAlgorithm,
                                long keyID,
                                boolean isNested)

  - ### Method Detail

    - #### getSignatureType

          public int getSignatureType()

      Return the signature type.
      Returns:
        the signature type

    - #### getKeyAlgorithm

          public int getKeyAlgorithm()

      return the encryption algorithm tag

    - #### getHashAlgorithm

          public int getHashAlgorithm()

      return the hashAlgorithm tag

    - #### getKeyID

          public long getKeyID()

      Returns:
        long

    - #### encode

          public void encode(BCPGOutputStream out)
                      throws java.io.IOException

      Specified by:
        `encode` in class `ContainedPacket`
      Throws:
        `java.io.IOException`